Bug 18497 - Should values of 'overflow' applying to (inline-)table elements be restricted?
Should values of 'overflow' applying to (inline-)table elements be restricted?
Status: ASSIGNED
Product: CSS
Classification: Unclassified
Component: CSS Level 2
unspecified
All All
: P2 normal
: ---
Assigned To: Bert Bos
public-css-bugzilla
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 08:11 UTC by Anton P
Modified: 2012-09-13 10:01 UTC (History)
0 users

See Also:


Attachments
Test to illustrate whether 'overflow:hidden' is applied or ignored on table elements (1.44 KB, text/html)
2012-08-07 08:25 UTC, Anton P
Details
Test to illustrate whether 'overflow:scroll' is applied or ignored on table elements (1.44 KB, text/html)
2012-08-07 08:27 UTC, Anton P
Details
Test to illustrate whether 'overflow:auto' is applied or ignored on table elements (1.44 KB, text/html)
2012-08-07 08:28 UTC, Anton P
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anton P 2012-08-07 08:11:45 UTC
Reported by Morten Stenshorne

When applying the 'overflow' property to table elements, major UAs appear to ignore all values except 'visible', 'hidden', 'inherit'.

Should this be formalized in the spec?

Conversation begins:
Bug description:
http://lists.w3.org/Archives/Public/www-style/2012May/0438.html
Comment 1 Anton P 2012-08-07 08:13:11 UTC
This bug has a dependency on Comment No.6 of Bug 17505 which questions whether the 'overflow' property should have its effect on the table wrapper box or the table box
Comment 2 Anton P 2012-08-07 08:25:44 UTC
Created attachment 1167 [details]
Test to illustrate whether 'overflow:hidden' is applied or ignored on table elements
Comment 3 Anton P 2012-08-07 08:27:17 UTC
Created attachment 1168 [details]
Test to illustrate whether 'overflow:scroll' is applied or ignored on table elements
Comment 4 Anton P 2012-08-07 08:28:40 UTC
Created attachment 1169 [details]
Test to illustrate whether 'overflow:auto' is applied or ignored on table elements
Comment 5 Anton P 2012-08-09 05:50:00 UTC
(In reply to comment #1)
> This bug has a dependency on Comment No.6 of Bug 17505 which questions whether
> the 'overflow' property should have its effect on the table wrapper box or the
> table box

The WG resolved[1] that the 'overflow' property has its effect on the table box.

[1] http://lists.w3.org/Archives/Public/www-style/2012Aug/0298.html
Comment 6 Anton P 2012-08-09 05:52:11 UTC
The WG resolved[1] that the visual effect of the values 'auto' and 'scroll' on the table box is exactly the same as that of the value 'visible'.

[1] http://lists.w3.org/Archives/Public/www-style/2012Aug/0298.html
Comment 7 Anton P 2012-09-13 08:51:10 UTC
The WG resolved[1] to accept the following proposal (presented in [2]).

In 11.1.1, in the description of the values of the 'overflow' property, make the following changes:

   : scroll
   :   This value indicates that the content is clipped and that if the
   :   user agent uses a scrolling mechanism that is visible on the
   :   screen (such as a scroll bar or a panner), that mechanism should
   :   be displayed for a box whether or not any of its content is
   :   clipped. This avoids any problem with scrollbars appearing and
   :   disappearing in a dynamic environment. When this value is
   :   specified and the target medium is 'print', overflowing content
   :   may be printed. <ins>When used on table boxes, this value has the
   :   same meaning as 'visible'.</ins>
   : auto
   :   The behavior of the 'auto' value is user agent-dependent, but
   :   should cause a scrolling mechanism to be provided for overflowing
   :   boxes. <ins>When used on table boxes, this value has the same
   :   meaning as 'visible'.</ins>



[1] http://lists.w3.org/Archives/Public/www-style/2012Sep/0231.html
[2] http://lists.w3.org/Archives/Public/www-style/2012Aug/0308.html
Comment 8 Anton P 2012-09-13 10:01:06 UTC
The errata document contains provisional wording added before the resolution described in Comment 7 was reached: http://www.w3.org/Style/css2-updates/REC-CSS2-20110607-errata.html#s.11.1.1a

The provisional wording should be replaced with the wording from the resolution.  Also, the first clause of the provisional wording ("On a table element ('display: table'), 'overflow' applies to the table box (i.e., not the table wrapper box)") should be removed since it is not directly related to this issue, and in any case is being handled separately in Bug 17122 (see Comment no.6 therein).